# _STDOUTFILENO
<span class="source-link">[[Source]](src/process/process_monitor.md#L106)</span>
```pony
primitive val _STDOUTFILENO
```

## Constructors

### create
<span class="source-link">[[Source]](src/process/process_monitor.md#L106)</span>


```pony
new val create()
: _STDOUTFILENO val^
```

#### Returns

* [_STDOUTFILENO](process-_STDOUTFILENO) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/process/process_monitor.md#L107)</span>


```pony
fun box apply()
: U32 val
```

#### Returns

* [U32](builtin-U32) val

---

### eq
<span class="source-link">[[Source]](src/process/process_monitor.md#L107)</span>


```pony
fun box eq(
  that: _STDOUTFILENO val)
: Bool val
```
#### Parameters

*   that: [_STDOUTFILENO](process-_STDOUTFILENO) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/process/process_monitor.md#L107)</span>


```pony
fun box ne(
  that: _STDOUTFILENO val)
: Bool val
```
#### Parameters

*   that: [_STDOUTFILENO](process-_STDOUTFILENO) val

#### Returns

* [Bool](builtin-Bool) val

---

